let
  sources = import ./sources.nix;

  # declare pkgs from sources
  pkgs = import sources.nixpkgs { };
in sources // {
  nixpkgs = pkgs.applyPatches {
    src = sources.nixpkgs;
    name = "nixpkgs-patched";
    patches = [
      # tmp teeworlds fetchpatch to inject secrets
      (pkgs.fetchpatch {
        url = "https://github.com/NixOS/nixpkgs/pull/334590.patch";
        sha256 = "sha256-5Uf/jLV0CJFbWyPmkpF4kEVISvoG+fujvTAFIR0a2ek=";
      })
      # stalwart-mail
      # (pkgs.fetchpatch {
      #   url = "https://github.com/NixOS/nixpkgs/pull/333507.patch";
      #   sha256 = "sha256-HAbfKQRnOjdK/rJ5wuePw4hEVQoFz9N0YujxBxROGo0=";
      # })
      # element 1.11.76
      (pkgs.fetchpatch {
        url = "https://github.com/NixOS/nixpkgs/pull/337906.patch";
        sha256 = "sha256-35ZTSIYmKmOcgQfWS+Ze6PdEHCaB2yn1q0/1nEt0Rh0=";
      })
    ];
  };
}
